Bug 624187 - unable to connect at Starbucks
unable to connect at Starbucks
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wireless-tools (Show other bugs)
13
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-14 00:09 EDT by Attila Mate
Modified: 2011-06-28 10:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:35:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Attila Mate 2010-08-14 00:09:25 EDT
Description of problem: Unable to authenticate as client of captive portal wifi; e.g. unable to connect at Starbucks or at the New York Public Library. Wifi connection is clearly made (for example, DHCP installs /etc/resolv.conf; at Starbucks nslookup requests for domain name resolution are answered), but the login portal is never received (i.e., I never receive a Web page inviting "Starbucks login"). Login to unsecured wifi succeeds consistently. Problem is present both with Firefox and Seamonkey browsers.


Version-Release number of selected component (if applicable): Fedora 13, was upgraded as of August 7, 2010 (with "yum upgrade"). Kernel version 2.6.33.6-147.2.4.fc13.x86_64


How reproducible: It happens all the time, that is, I am never receive the login portal Web page, even though wifi connection is always made.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info: My laptop is a Toshiba Satellite, A205-S50. Wireless Network Adapter is Atheros AR5001, though I fail to see how this would be related to the problem. I also did a Ubuntu Lucid Netbook Edition installation on an EeePC 1011HAB, where I did not have problems with captive portal authentication (both Firefox and Seamonkey is able to establish authentication).

   Actually, both Fedora 13 and Ubuntu Lucid (Ubuntu 10.4) seems to have a DHCP problem that I have a workaround for. For example, in Fedora 13, before a DHCP wifi connection is made, I replace the file /var/lib/dhclient/dhclient-wlan0.leases with a file that has as its only content

lease{
   interface "wlan0";
}

Before I started doing this, after a number of DHCP wifi connections to various
servers, no more DHCP leases could be obtained. I needed to add a similar fix in Ubuntu Lucid.
Comment 1 Bug Zapper 2011-06-01 07:27:36 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-28 10:35:33 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.